# Class PickResultIfcProductMesh

Represents a pick operation where a ifc product mesh was picked.

#### Hierarchy (View Summary)

- PickResultBase
  - PickResultIfcProductMesh

##### Index

### Constructors

constructor

### Properties

id
ifcProductMesh
mesh
type

### Accessors

hitInfo

### Methods

equals

## Constructors

### constructor

- new PickResultIfcProductMesh(
  o: {
  id: number;
  ifcProductAndMesh: BimProductMesh;
  mesh: Mesh;
  pickOptions: PickOptionRay;
  },
  ): PickResultIfcProductMesh

  Constructor

  #### Parameters

  - o: {
    id: number;
    ifcProductAndMesh: BimProductMesh;
    mesh: Mesh;
    pickOptions: PickOptionRay;
    }

    Options

    - ##### id: number

      Unique GPU picking id for the hit `o.icon`.

    - ##### ifcProductAndMesh: BimProductMesh

      The BimProductAndMesh that was hit.

    - ##### mesh: Mesh

      BabylonJS mesh that `o.ifcProductAndMesh` belongs to.

    - ##### pickOptions: PickOptionRay

      The picking ray and related options.

  #### Returns PickResultIfcProductMesh

  Overrides PickResultBase.constructor

## Properties

### `Readonly` id

id: number

Unique GPU picking id for the hit object

Inherited from PickResultBase.id

### `Readonly` ifcProductMesh

ifcProductMesh: BimProductMesh

BimProductMesh yielded by pick operation. Use BimProductMesh.ifcProduct to get IFC product (BimIfcObject the mesh belongs to

### `Readonly` mesh

mesh: Mesh

BabylonJS Mesh pick operation yielded. mesh belongs to this mesh.

### type

type: IfcProductMesh = PickResultType.IfcProductMesh

Discriminant union selector

## Accessors

### hitInfo

- get hitInfo(): Intersection[]

  Exact intersections of ifcProductMesh that the pick operation gave.

  #### Returns Intersection[]

  Overrides PickResultBase.hitInfo

## Methods

### equals

- equals(pickResult: PickResult): boolean

  Compare two PickResult instances.

  #### Parameters

  - pickResult: PickResult

  #### Returns boolean

  Inherited from PickResultBase.equals